<template>
  <section class="grid grid-cols-12 gap-4 xl:gap-6">
    <Container class="col-span-12 md:col-span-6 xl:col-span-3">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <v-skeleton-loader
        height="32"
        width="128"
        class="mt-4 rounded-full"
      />
    </Container>

    <Container class="col-span-12 md:col-span-6 xl:col-span-3">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <v-skeleton-loader
        height="24"
        width="128"
        class="mt-4"
      />
    </Container>

    <Container class="col-span-12 md:col-span-6 xl:col-span-3">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <v-skeleton-loader
        height="24"
        width="128"
        class="mt-4"
      />
    </Container>

    <Container class="col-span-12 md:col-span-6 xl:col-span-3">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <v-skeleton-loader
        height="24"
        width="128"
        class="mt-4"
      />
    </Container>

    <Container class="col-span-12 md:col-span-6 row-span-2">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <section class="flex items-center justify-center mt-6">
        <v-skeleton-loader
          height="20"
          width="192"
        />
      </section>

      <section
        v-for="(n, rowIndex) in 5"
        :key="n"
        class="flex items-center gap-4 mt-4"
      >
        <section
          v-for="(k, colIndex) in 7"
          :key="k"
          class="flex items-center justify-center basis-[calc(100%/7)]"
        >
          <v-skeleton-loader
            v-if="!(
              (rowIndex === 0 && [0, 1, 2].includes(colIndex)) ||
              (rowIndex === 4 && [5, 6].includes(colIndex))
            )"
            width="32"
            height="32"
            class="rounded-full"
          />

          <section v-else />
        </section>
      </section>
    </Container>

    <Container class="col-span-12 md:col-span-6 row-span-2">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <v-skeleton-loader
        height="96"
        width="100%"
        class="mt-6"
      />
    </Container>

    <Container class="col-span-12 md:col-span-6 border-b-4 border-gray-300">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <v-skeleton-loader
        height="16"
        width="100%"
        class="mt-6"
      />

      <v-skeleton-loader
        height="16"
        width="100%"
        class="mt-2"
      />

      <v-skeleton-loader
        height="16"
        width="50%"
        class="mt-2"
      />
    </Container>

    <Container class="col-span-12 md:col-span-6 row-span-2">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <section class="flex items-center gap-4 mt-4">
        <section class="basis-1/2">
          <v-skeleton-loader
            height="56"
            width="100%"
          />
        </section>

        <section class="basis-1/2">
          <v-skeleton-loader
            height="56"
            width="100%"
          />
        </section>
      </section>

      <v-skeleton-loader
        class="mt-4"
        height="78"
        width="100%"
      />

      <section class="mt-6">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <v-skeleton-loader
          v-for="n in 3"
          :key="n"
          height="20"
          width="100%"
          class="mt-2"
        />
      </section>

      <section class="mt-6">
        <v-skeleton-loader
          height="24"
          width="192"
        />

        <v-skeleton-loader
          v-for="n in 2"
          :key="n"
          height="20"
          width="100%"
          class="mt-2"
        />
      </section>
    </Container>

    <Container class="col-span-12 md:col-span-6">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <section class="mt-4">
        <v-skeleton-loader
          v-for="n in 3"
          :key="n"
          height="32"
          width="100%"
          class="mt-4"
        />
      </section>
    </Container>

    <Container class="col-span-12 md:col-span-6">
      <v-skeleton-loader
        height="24"
        width="192"
      />

      <section class="mt-4">
        <v-skeleton-loader
          v-for="n in 3"
          :key="n"
          height="32"
          width="100%"
          class="mt-4"
        />
      </section>
    </Container>
  </section>
</template>

<script setup lang="ts">
import Container from '@/components/layout/Container.vue';
</script>
